Bug 448047 - Automatic Software Update gives internal system error and backtrace
Automatic Software Update gives internal system error and backtrace
Status: CLOSED DUPLICATE of bug 447347
Product: Fedora
Classification: Fedora
Component: gnome-packagekit (Show other bugs)
9
i686 Linux
low Severity low
: ---
: ---
Assigned To: Robin Norwood
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-23 01:08 EDT by Peter H. Jones
Modified: 2008-06-14 08:41 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-14 08:41:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gpk-update-viewer verbose output (16.07 KB, text/plain)
2008-06-14 08:15 EDT, Peter H. Jones
no flags Details

  None (edit)
Description Peter H. Jones 2008-05-23 01:08:38 EDT
Description of problem:


Version-Release number of selected component (if applicable):
unknown

How reproducible:
Always

Steps to Reproduce:
1. See Software Update Popup
2. Click on See Updates
3. Select Review
  
Actual results:
Internal system error and back trace . I can't copy
for pasting into this bug report. Updating without review
works fine.

Expected results:
Details of each update

Additional info:
Comment 1 Peter H. Jones 2008-06-12 12:17:24 EDT
Package Kit is version PackageKit-0.1.12-13.20080522.fc9.i386.
Comment 2 Peter H. Jones 2008-06-14 08:15:39 EDT
Created attachment 309360 [details]
gpk-update-viewer verbose output

Discovered and ran gpk-update-viewer -v, submitting its output. Relevant part
is:

TI:07:57:39	TH:0x97b13f0	FI:pk-client.c	FN:pk_client_error_code_cb,863
 - emit error-code 3, Error Type: <type 'exceptions.AttributeError'>
Error Value: Updates instance has no attribute 'obsoletes'
  File : /usr/share/PackageKit/helpers/yum/get-update-detail.py , line 17, in
<module>
    backend.get_update_detail(package)
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py , line 1365, in
get_update_detail
    obsolete = self._get_obsoleted(pkg.name)
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py , line 1275, in
_get_obsoleted
    obsoletes = self.yumbase.up.getObsoletesTuples(newest=1)
  File : /usr/lib/python2.5/site-packages/rpmUtils/updates.py , line 568, in
getObsoletesTuples
    obslist = self.obsoletes.keys()

gpk-package-viewer is in gnome-packagekit-0.1.12-12.20080430.fc9.i386 .
Comment 3 Peter H. Jones 2008-06-14 08:31:32 EDT
Also changed component field, because gpk-package-viewer shows the bug
reproducibly. Procedure is to run gpk-package-viewer and hit Review button.
Comment 4 Peter H. Jones 2008-06-14 08:41:02 EDT

*** This bug has been marked as a duplicate of 447347 ***

Note You need to log in before you can comment on or make changes to this bug.